Bug 252378

Summary: devel/libzim: Update to 6.3.2
Product: Ports & Packages Reporter: Daniel Engberg <diizzy>
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me Flags: bugzilla: maintainer-feedback? (swills)
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch for libzim
none
Patch for libzim v2
none
Patch or libzim v3 none

Description Daniel Engberg freebsd_committer 2021-01-03 09:59:36 UTC
Created attachment 221236 [details]
Patch for libzim

Use release archive instead of GitHub's generated one as suggested by section 5.4.3 in Porter's Handbok

Compile tested on FreeBSD 13.0-CURRENT main-c1-g63f93c7e1 (amd64) (make, make check-plist)
Comment 1 Daniel Engberg freebsd_committer 2021-01-06 13:28:18 UTC
Created attachment 221325 [details]
Patch for libzim v2

Complete conversion instead of mixing PORT/DIST
Comment 2 Steve Wills freebsd_committer 2021-01-17 15:21:21 UTC
This doesn't seem to work:

+MASTER_SITES=  https://download.openzim.org/release/libzim/


I'm not able to connect to this site.
Comment 3 Steve Wills freebsd_committer 2021-01-17 15:35:47 UTC
(In reply to Steve Wills from comment #2)
Neve rmind, local issue.
Comment 4 Steve Wills freebsd_committer 2021-01-18 13:50:21 UTC
I'll include this change with the next release update.
Comment 5 Daniel Engberg freebsd_committer 2021-06-10 00:25:26 UTC
Created attachment 225682 [details]
Patch or libzim v3

Update libzim to 6.3.2
Use googletest from tree instead of bundled version
Comment 6 Daniel Engberg freebsd_committer 2021-06-10 00:26:37 UTC
make test fails on 13-STABLE with MMAP error, starts eating memory until it runs out.
Comment 7 Steve Wills freebsd_committer 2021-08-28 21:06:39 UTC
(In reply to Daniel Engberg from comment #6)
The test failure is a bug in the test, IMHO. When I run it here, I get:

C++ exception with description "Cannot mmap size 4349 at off 18446744073709547520 : Invalid argument" thrown in the test body.
Comment 8 commit-hook freebsd_committer 2021-08-28 21:18:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=54764895bab54e5886c5d9a6190a113bfa2f8b58

commit 54764895bab54e5886c5d9a6190a113bfa2f8b58
Author:     Daniel Engberg <diizzy@FreeBSD.org>
AuthorDate: 2021-08-28 21:17:44 +0000
Commit:     Steve Wills <swills@FreeBSD.org>
CommitDate: 2021-08-28 21:18:19 +0000

    devel/libzim: update to 6.3.2

    PR:             252378

 devel/libzim/Makefile  | 14 +++++++-------
 devel/libzim/distinfo  |  6 +++---
 devel/libzim/pkg-plist |  4 ++--
 3 files changed, 12 insertions(+), 12 deletions(-)
Comment 9 Steve Wills freebsd_committer 2021-08-28 21:31:39 UTC
Committed, thanks!